#ifndef I_WINDOW
#define I_WINDOW

#include <stdio.h>

#include "list.h"
#include "server.h"
#include "global.h"

#define MAXWINDOW 10

typedef struct hold_list *hold_ptr;

struct awin {
  unsigned id;
  int line, num;
  int p_x, p_y, m_line, m_column, scroll;
  char name[80];
  char *query;
  int channel, hidden;
  char logfile[80];
  FILE *file;
  char activity, notified, notify_count, padding1;
  int wlevel, lastloglevel, notify_level;
  unsigned status;
  char *status_line;
  int hold_mode, hold_mode_max, hold_curr, is_holding, hold_count, just_held;
  hold_ptr hold_lines;
  head_ptr lastlog;
  server_ptr server;
  win_mode mode;
  win_ptr next;
};

#define NW 0

#endif
